Loading...
Searching...
No Matches
BALL::CharmmFF::Option Struct Reference

`#include <BALL/MOLMEC/CHARMM/charmm.h>`

## Static Public Attributes

static const char * | FILENAME
static const char * | NONBONDED_CUTOFF
static const char * | VDW_CUTOFF
static const char * | VDW_CUTON
static const char * | ELECTROSTATIC_CUTOFF
static const char * | ELECTROSTATIC_CUTON
static const char * | SOLVATION_CUTOFF
static const char * | SOLVATION_CUTON
static const char * | SCALING_VDW_1_4
static const char * | USE_EEF1
static const char * | SCALING_ELECTROSTATIC_1_4
static const char * | DISTANCE_DEPENDENT_DIELECTRIC
static const char * | ASSIGN_CHARGES
static const char * | ASSIGN_TYPENAMES
static const char * | ASSIGN_TYPES
static const char * | OVERWRITE_CHARGES
static const char * | OVERWRITE_TYPENAMES

## Detailed Description

Options names

Definition at line 40 of file charmm.h.

## Member Data Documentation

## ASSIGN_CHARGES

const char* BALL::CharmmFF::Option::ASSIGN_CHARGES

static

automatically assign charges to the system (during setup)

Definition at line 94 of file charmm.h.

## ASSIGN_TYPENAMES

const char* BALL::CharmmFF::Option::ASSIGN_TYPENAMES

static

automatically assign type names to the system (during setup)

Definition at line 98 of file charmm.h.

## ASSIGN_TYPES

const char* BALL::CharmmFF::Option::ASSIGN_TYPES

static

automatically assign types to the system's atoms (during setup)

Definition at line 102 of file charmm.h.

## DISTANCE_DEPENDENT_DIELECTRIC

const char* BALL::CharmmFF::Option::DISTANCE_DEPENDENT_DIELECTRIC

static

use of distance dependent dielectric constant

Definition at line 90 of file charmm.h.

## ELECTROSTATIC_CUTOFF

const char* BALL::CharmmFF::Option::ELECTROSTATIC_CUTOFF

static

Electrostatic cutoff

Definition at line 62 of file charmm.h.

## ELECTROSTATIC_CUTON

const char* BALL::CharmmFF::Option::ELECTROSTATIC_CUTON

static

Electrostatic cuton

Definition at line 66 of file charmm.h.

## FILENAME

const char* BALL::CharmmFF::Option::FILENAME

static

The parameter file name. The default is parm19_eef1.ini which means that EEF1 is the default parameterization.

Definition at line 46 of file charmm.h.

## NONBONDED_CUTOFF

const char* BALL::CharmmFF::Option::NONBONDED_CUTOFF

static

Nonbonded cutoff

Definition at line 50 of file charmm.h.

## OVERWRITE_CHARGES

const char* BALL::CharmmFF::Option::OVERWRITE_CHARGES

static

during charge assignment, overwrite even non-zero charges

Definition at line 106 of file charmm.h.

## OVERWRITE_TYPENAMES

const char* BALL::CharmmFF::Option::OVERWRITE_TYPENAMES

static

during charge assignment, overwrite even non-empty type names

Definition at line 110 of file charmm.h.

## SCALING_ELECTROSTATIC_1_4

const char* BALL::CharmmFF::Option::SCALING_ELECTROSTATIC_1_4

static

1-4 electrostatic interaction scaling factor.

Definition at line 86 of file charmm.h.

## SCALING_VDW_1_4

const char* BALL::CharmmFF::Option::SCALING_VDW_1_4

static

1-4 vdw interaction scaling factor.

Definition at line 78 of file charmm.h.

## SOLVATION_CUTOFF

const char* BALL::CharmmFF::Option::SOLVATION_CUTOFF

static

Solvation cutoff

Definition at line 70 of file charmm.h.

## SOLVATION_CUTON

const char* BALL::CharmmFF::Option::SOLVATION_CUTON

static

Solvation cuton

Definition at line 74 of file charmm.h.

## USE_EEF1

const char* BALL::CharmmFF::Option::USE_EEF1

static

Use EEF1 solvation method.

Definition at line 82 of file charmm.h.

## VDW_CUTOFF

const char* BALL::CharmmFF::Option::VDW_CUTOFF

static

Van der Waals cutoff

Definition at line 54 of file charmm.h.

## VDW_CUTON

const char* BALL::CharmmFF::Option::VDW_CUTON

static

Van der Waals cuton

Definition at line 58 of file charmm.h.